var option_list_max_number = 100;
var option_list_csid = [];
var option_list_index = [];
var option_list_name_csid = [];
var option_list_server_csid = [];
var option_list_option_csid = [];
var option_list_value_type_csid = [];
var option_list_value_csid = [];
var option_list_enable_csid = [];
option_list_csid.push("N00205520");
option_list_index.push("0");
option_list_name_csid.push("S00033100");
option_list_server_csid.push("S00033200");
option_list_option_csid.push("N00033300");
option_list_value_type_csid.push("N00033400");
option_list_value_csid.push("S00033500");
option_list_enable_csid.push("N00033600");
option_list_csid.push("N00205521");
option_list_index.push("255");
option_list_name_csid.push("S00033101");
option_list_server_csid.push("S00033201");
option_list_option_csid.push("N00033301");
option_list_value_type_csid.push("N00033401");
option_list_value_csid.push("S00033501");
option_list_enable_csid.push("N00033601");
option_list_csid.push("N00205522");
option_list_index.push("255");
option_list_name_csid.push("S00033102");
option_list_server_csid.push("S00033202");
option_list_option_csid.push("N00033302");
option_list_value_type_csid.push("N00033402");
option_list_value_csid.push("S00033502");
option_list_enable_csid.push("N00033602");
option_list_csid.push("N00205523");
option_list_index.push("255");
option_list_name_csid.push("S00033103");
option_list_server_csid.push("S00033203");
option_list_option_csid.push("N00033303");
option_list_value_type_csid.push("N00033403");
option_list_value_csid.push("S00033503");
option_list_enable_csid.push("N00033603");
option_list_csid.push("N00205524");
option_list_index.push("255");
option_list_name_csid.push("S00033104");
option_list_server_csid.push("S00033204");
option_list_option_csid.push("N00033304");
option_list_value_type_csid.push("N00033404");
option_list_value_csid.push("S00033504");
option_list_enable_csid.push("N00033604");
option_list_csid.push("N00205525");
option_list_index.push("255");
option_list_name_csid.push("S00033105");
option_list_server_csid.push("S00033205");
option_list_option_csid.push("N00033305");
option_list_value_type_csid.push("N00033405");
option_list_value_csid.push("S00033505");
option_list_enable_csid.push("N00033605");
option_list_csid.push("N00205526");
option_list_index.push("255");
option_list_name_csid.push("S00033106");
option_list_server_csid.push("S00033206");
option_list_option_csid.push("N00033306");
option_list_value_type_csid.push("N00033406");
option_list_value_csid.push("S00033506");
option_list_enable_csid.push("N00033606");
option_list_csid.push("N00205527");
option_list_index.push("255");
option_list_name_csid.push("S00033107");
option_list_server_csid.push("S00033207");
option_list_option_csid.push("N00033307");
option_list_value_type_csid.push("N00033407");
option_list_value_csid.push("S00033507");
option_list_enable_csid.push("N00033607");
option_list_csid.push("N00205528");
option_list_index.push("255");
option_list_name_csid.push("S00033108");
option_list_server_csid.push("S00033208");
option_list_option_csid.push("N00033308");
option_list_value_type_csid.push("N00033408");
option_list_value_csid.push("S00033508");
option_list_enable_csid.push("N00033608");
option_list_csid.push("N00205529");
option_list_index.push("255");
option_list_name_csid.push("S00033109");
option_list_server_csid.push("S00033209");
option_list_option_csid.push("N00033309");
option_list_value_type_csid.push("N00033409");
option_list_value_csid.push("S00033509");
option_list_enable_csid.push("N00033609");
option_list_csid.push("N0020552A");
option_list_index.push("255");
option_list_name_csid.push("S0003310A");
option_list_server_csid.push("S0003320A");
option_list_option_csid.push("N0003330A");
option_list_value_type_csid.push("N0003340A");
option_list_value_csid.push("S0003350A");
option_list_enable_csid.push("N0003360A");
option_list_csid.push("N0020552B");
option_list_index.push("255");
option_list_name_csid.push("S0003310B");
option_list_server_csid.push("S0003320B");
option_list_option_csid.push("N0003330B");
option_list_value_type_csid.push("N0003340B");
option_list_value_csid.push("S0003350B");
option_list_enable_csid.push("N0003360B");
option_list_csid.push("N0020552C");
option_list_index.push("255");
option_list_name_csid.push("S0003310C");
option_list_server_csid.push("S0003320C");
option_list_option_csid.push("N0003330C");
option_list_value_type_csid.push("N0003340C");
option_list_value_csid.push("S0003350C");
option_list_enable_csid.push("N0003360C");
option_list_csid.push("N0020552D");
option_list_index.push("255");
option_list_name_csid.push("S0003310D");
option_list_server_csid.push("S0003320D");
option_list_option_csid.push("N0003330D");
option_list_value_type_csid.push("N0003340D");
option_list_value_csid.push("S0003350D");
option_list_enable_csid.push("N0003360D");
option_list_csid.push("N0020552E");
option_list_index.push("255");
option_list_name_csid.push("S0003310E");
option_list_server_csid.push("S0003320E");
option_list_option_csid.push("N0003330E");
option_list_value_type_csid.push("N0003340E");
option_list_value_csid.push("S0003350E");
option_list_enable_csid.push("N0003360E");
option_list_csid.push("N0020552F");
option_list_index.push("255");
option_list_name_csid.push("S0003310F");
option_list_server_csid.push("S0003320F");
option_list_option_csid.push("N0003330F");
option_list_value_type_csid.push("N0003340F");
option_list_value_csid.push("S0003350F");
option_list_enable_csid.push("N0003360F");
option_list_csid.push("N00205530");
option_list_index.push("255");
option_list_name_csid.push("S00033110");
option_list_server_csid.push("S00033210");
option_list_option_csid.push("N00033310");
option_list_value_type_csid.push("N00033410");
option_list_value_csid.push("S00033510");
option_list_enable_csid.push("N00033610");
option_list_csid.push("N00205531");
option_list_index.push("255");
option_list_name_csid.push("S00033111");
option_list_server_csid.push("S00033211");
option_list_option_csid.push("N00033311");
option_list_value_type_csid.push("N00033411");
option_list_value_csid.push("S00033511");
option_list_enable_csid.push("N00033611");
option_list_csid.push("N00205532");
option_list_index.push("255");
option_list_name_csid.push("S00033112");
option_list_server_csid.push("S00033212");
option_list_option_csid.push("N00033312");
option_list_value_type_csid.push("N00033412");
option_list_value_csid.push("S00033512");
option_list_enable_csid.push("N00033612");
option_list_csid.push("N00205533");
option_list_index.push("255");
option_list_name_csid.push("S00033113");
option_list_server_csid.push("S00033213");
option_list_option_csid.push("N00033313");
option_list_value_type_csid.push("N00033413");
option_list_value_csid.push("S00033513");
option_list_enable_csid.push("N00033613");
option_list_csid.push("N00205534");
option_list_index.push("255");
option_list_name_csid.push("S00033114");
option_list_server_csid.push("S00033214");
option_list_option_csid.push("N00033314");
option_list_value_type_csid.push("N00033414");
option_list_value_csid.push("S00033514");
option_list_enable_csid.push("N00033614");
option_list_csid.push("N00205535");
option_list_index.push("255");
option_list_name_csid.push("S00033115");
option_list_server_csid.push("S00033215");
option_list_option_csid.push("N00033315");
option_list_value_type_csid.push("N00033415");
option_list_value_csid.push("S00033515");
option_list_enable_csid.push("N00033615");
option_list_csid.push("N00205536");
option_list_index.push("255");
option_list_name_csid.push("S00033116");
option_list_server_csid.push("S00033216");
option_list_option_csid.push("N00033316");
option_list_value_type_csid.push("N00033416");
option_list_value_csid.push("S00033516");
option_list_enable_csid.push("N00033616");
option_list_csid.push("N00205537");
option_list_index.push("255");
option_list_name_csid.push("S00033117");
option_list_server_csid.push("S00033217");
option_list_option_csid.push("N00033317");
option_list_value_type_csid.push("N00033417");
option_list_value_csid.push("S00033517");
option_list_enable_csid.push("N00033617");
option_list_csid.push("N00205538");
option_list_index.push("255");
option_list_name_csid.push("S00033118");
option_list_server_csid.push("S00033218");
option_list_option_csid.push("N00033318");
option_list_value_type_csid.push("N00033418");
option_list_value_csid.push("S00033518");
option_list_enable_csid.push("N00033618");
option_list_csid.push("N00205539");
option_list_index.push("255");
option_list_name_csid.push("S00033119");
option_list_server_csid.push("S00033219");
option_list_option_csid.push("N00033319");
option_list_value_type_csid.push("N00033419");
option_list_value_csid.push("S00033519");
option_list_enable_csid.push("N00033619");
option_list_csid.push("N0020553A");
option_list_index.push("255");
option_list_name_csid.push("S0003311A");
option_list_server_csid.push("S0003321A");
option_list_option_csid.push("N0003331A");
option_list_value_type_csid.push("N0003341A");
option_list_value_csid.push("S0003351A");
option_list_enable_csid.push("N0003361A");
option_list_csid.push("N0020553B");
option_list_index.push("255");
option_list_name_csid.push("S0003311B");
option_list_server_csid.push("S0003321B");
option_list_option_csid.push("N0003331B");
option_list_value_type_csid.push("N0003341B");
option_list_value_csid.push("S0003351B");
option_list_enable_csid.push("N0003361B");
option_list_csid.push("N0020553C");
option_list_index.push("255");
option_list_name_csid.push("S0003311C");
option_list_server_csid.push("S0003321C");
option_list_option_csid.push("N0003331C");
option_list_value_type_csid.push("N0003341C");
option_list_value_csid.push("S0003351C");
option_list_enable_csid.push("N0003361C");
option_list_csid.push("N0020553D");
option_list_index.push("255");
option_list_name_csid.push("S0003311D");
option_list_server_csid.push("S0003321D");
option_list_option_csid.push("N0003331D");
option_list_value_type_csid.push("N0003341D");
option_list_value_csid.push("S0003351D");
option_list_enable_csid.push("N0003361D");
option_list_csid.push("N0020553E");
option_list_index.push("255");
option_list_name_csid.push("S0003311E");
option_list_server_csid.push("S0003321E");
option_list_option_csid.push("N0003331E");
option_list_value_type_csid.push("N0003341E");
option_list_value_csid.push("S0003351E");
option_list_enable_csid.push("N0003361E");
option_list_csid.push("N0020553F");
option_list_index.push("255");
option_list_name_csid.push("S0003311F");
option_list_server_csid.push("S0003321F");
option_list_option_csid.push("N0003331F");
option_list_value_type_csid.push("N0003341F");
option_list_value_csid.push("S0003351F");
option_list_enable_csid.push("N0003361F");
option_list_csid.push("N00205540");
option_list_index.push("255");
option_list_name_csid.push("S00033120");
option_list_server_csid.push("S00033220");
option_list_option_csid.push("N00033320");
option_list_value_type_csid.push("N00033420");
option_list_value_csid.push("S00033520");
option_list_enable_csid.push("N00033620");
option_list_csid.push("N00205541");
option_list_index.push("255");
option_list_name_csid.push("S00033121");
option_list_server_csid.push("S00033221");
option_list_option_csid.push("N00033321");
option_list_value_type_csid.push("N00033421");
option_list_value_csid.push("S00033521");
option_list_enable_csid.push("N00033621");
option_list_csid.push("N00205542");
option_list_index.push("255");
option_list_name_csid.push("S00033122");
option_list_server_csid.push("S00033222");
option_list_option_csid.push("N00033322");
option_list_value_type_csid.push("N00033422");
option_list_value_csid.push("S00033522");
option_list_enable_csid.push("N00033622");
option_list_csid.push("N00205543");
option_list_index.push("255");
option_list_name_csid.push("S00033123");
option_list_server_csid.push("S00033223");
option_list_option_csid.push("N00033323");
option_list_value_type_csid.push("N00033423");
option_list_value_csid.push("S00033523");
option_list_enable_csid.push("N00033623");
option_list_csid.push("N00205544");
option_list_index.push("255");
option_list_name_csid.push("S00033124");
option_list_server_csid.push("S00033224");
option_list_option_csid.push("N00033324");
option_list_value_type_csid.push("N00033424");
option_list_value_csid.push("S00033524");
option_list_enable_csid.push("N00033624");
option_list_csid.push("N00205545");
option_list_index.push("255");
option_list_name_csid.push("S00033125");
option_list_server_csid.push("S00033225");
option_list_option_csid.push("N00033325");
option_list_value_type_csid.push("N00033425");
option_list_value_csid.push("S00033525");
option_list_enable_csid.push("N00033625");
option_list_csid.push("N00205546");
option_list_index.push("255");
option_list_name_csid.push("S00033126");
option_list_server_csid.push("S00033226");
option_list_option_csid.push("N00033326");
option_list_value_type_csid.push("N00033426");
option_list_value_csid.push("S00033526");
option_list_enable_csid.push("N00033626");
option_list_csid.push("N00205547");
option_list_index.push("255");
option_list_name_csid.push("S00033127");
option_list_server_csid.push("S00033227");
option_list_option_csid.push("N00033327");
option_list_value_type_csid.push("N00033427");
option_list_value_csid.push("S00033527");
option_list_enable_csid.push("N00033627");
option_list_csid.push("N00205548");
option_list_index.push("255");
option_list_name_csid.push("S00033128");
option_list_server_csid.push("S00033228");
option_list_option_csid.push("N00033328");
option_list_value_type_csid.push("N00033428");
option_list_value_csid.push("S00033528");
option_list_enable_csid.push("N00033628");
option_list_csid.push("N00205549");
option_list_index.push("255");
option_list_name_csid.push("S00033129");
option_list_server_csid.push("S00033229");
option_list_option_csid.push("N00033329");
option_list_value_type_csid.push("N00033429");
option_list_value_csid.push("S00033529");
option_list_enable_csid.push("N00033629");
option_list_csid.push("N0020554A");
option_list_index.push("255");
option_list_name_csid.push("S0003312A");
option_list_server_csid.push("S0003322A");
option_list_option_csid.push("N0003332A");
option_list_value_type_csid.push("N0003342A");
option_list_value_csid.push("S0003352A");
option_list_enable_csid.push("N0003362A");
option_list_csid.push("N0020554B");
option_list_index.push("255");
option_list_name_csid.push("S0003312B");
option_list_server_csid.push("S0003322B");
option_list_option_csid.push("N0003332B");
option_list_value_type_csid.push("N0003342B");
option_list_value_csid.push("S0003352B");
option_list_enable_csid.push("N0003362B");
option_list_csid.push("N0020554C");
option_list_index.push("255");
option_list_name_csid.push("S0003312C");
option_list_server_csid.push("S0003322C");
option_list_option_csid.push("N0003332C");
option_list_value_type_csid.push("N0003342C");
option_list_value_csid.push("S0003352C");
option_list_enable_csid.push("N0003362C");
option_list_csid.push("N0020554D");
option_list_index.push("255");
option_list_name_csid.push("S0003312D");
option_list_server_csid.push("S0003322D");
option_list_option_csid.push("N0003332D");
option_list_value_type_csid.push("N0003342D");
option_list_value_csid.push("S0003352D");
option_list_enable_csid.push("N0003362D");
option_list_csid.push("N0020554E");
option_list_index.push("255");
option_list_name_csid.push("S0003312E");
option_list_server_csid.push("S0003322E");
option_list_option_csid.push("N0003332E");
option_list_value_type_csid.push("N0003342E");
option_list_value_csid.push("S0003352E");
option_list_enable_csid.push("N0003362E");
option_list_csid.push("N0020554F");
option_list_index.push("255");
option_list_name_csid.push("S0003312F");
option_list_server_csid.push("S0003322F");
option_list_option_csid.push("N0003332F");
option_list_value_type_csid.push("N0003342F");
option_list_value_csid.push("S0003352F");
option_list_enable_csid.push("N0003362F");
option_list_csid.push("N00205550");
option_list_index.push("255");
option_list_name_csid.push("S00033130");
option_list_server_csid.push("S00033230");
option_list_option_csid.push("N00033330");
option_list_value_type_csid.push("N00033430");
option_list_value_csid.push("S00033530");
option_list_enable_csid.push("N00033630");
option_list_csid.push("N00205551");
option_list_index.push("255");
option_list_name_csid.push("S00033131");
option_list_server_csid.push("S00033231");
option_list_option_csid.push("N00033331");
option_list_value_type_csid.push("N00033431");
option_list_value_csid.push("S00033531");
option_list_enable_csid.push("N00033631");
option_list_csid.push("N00205552");
option_list_index.push("255");
option_list_name_csid.push("S00033132");
option_list_server_csid.push("S00033232");
option_list_option_csid.push("N00033332");
option_list_value_type_csid.push("N00033432");
option_list_value_csid.push("S00033532");
option_list_enable_csid.push("N00033632");
option_list_csid.push("N00205553");
option_list_index.push("255");
option_list_name_csid.push("S00033133");
option_list_server_csid.push("S00033233");
option_list_option_csid.push("N00033333");
option_list_value_type_csid.push("N00033433");
option_list_value_csid.push("S00033533");
option_list_enable_csid.push("N00033633");
option_list_csid.push("N00205554");
option_list_index.push("255");
option_list_name_csid.push("S00033134");
option_list_server_csid.push("S00033234");
option_list_option_csid.push("N00033334");
option_list_value_type_csid.push("N00033434");
option_list_value_csid.push("S00033534");
option_list_enable_csid.push("N00033634");
option_list_csid.push("N00205555");
option_list_index.push("255");
option_list_name_csid.push("S00033135");
option_list_server_csid.push("S00033235");
option_list_option_csid.push("N00033335");
option_list_value_type_csid.push("N00033435");
option_list_value_csid.push("S00033535");
option_list_enable_csid.push("N00033635");
option_list_csid.push("N00205556");
option_list_index.push("255");
option_list_name_csid.push("S00033136");
option_list_server_csid.push("S00033236");
option_list_option_csid.push("N00033336");
option_list_value_type_csid.push("N00033436");
option_list_value_csid.push("S00033536");
option_list_enable_csid.push("N00033636");
option_list_csid.push("N00205557");
option_list_index.push("255");
option_list_name_csid.push("S00033137");
option_list_server_csid.push("S00033237");
option_list_option_csid.push("N00033337");
option_list_value_type_csid.push("N00033437");
option_list_value_csid.push("S00033537");
option_list_enable_csid.push("N00033637");
option_list_csid.push("N00205558");
option_list_index.push("255");
option_list_name_csid.push("S00033138");
option_list_server_csid.push("S00033238");
option_list_option_csid.push("N00033338");
option_list_value_type_csid.push("N00033438");
option_list_value_csid.push("S00033538");
option_list_enable_csid.push("N00033638");
option_list_csid.push("N00205559");
option_list_index.push("255");
option_list_name_csid.push("S00033139");
option_list_server_csid.push("S00033239");
option_list_option_csid.push("N00033339");
option_list_value_type_csid.push("N00033439");
option_list_value_csid.push("S00033539");
option_list_enable_csid.push("N00033639");
option_list_csid.push("N0020555A");
option_list_index.push("255");
option_list_name_csid.push("S0003313A");
option_list_server_csid.push("S0003323A");
option_list_option_csid.push("N0003333A");
option_list_value_type_csid.push("N0003343A");
option_list_value_csid.push("S0003353A");
option_list_enable_csid.push("N0003363A");
option_list_csid.push("N0020555B");
option_list_index.push("255");
option_list_name_csid.push("S0003313B");
option_list_server_csid.push("S0003323B");
option_list_option_csid.push("N0003333B");
option_list_value_type_csid.push("N0003343B");
option_list_value_csid.push("S0003353B");
option_list_enable_csid.push("N0003363B");
option_list_csid.push("N0020555C");
option_list_index.push("255");
option_list_name_csid.push("S0003313C");
option_list_server_csid.push("S0003323C");
option_list_option_csid.push("N0003333C");
option_list_value_type_csid.push("N0003343C");
option_list_value_csid.push("S0003353C");
option_list_enable_csid.push("N0003363C");
option_list_csid.push("N0020555D");
option_list_index.push("255");
option_list_name_csid.push("S0003313D");
option_list_server_csid.push("S0003323D");
option_list_option_csid.push("N0003333D");
option_list_value_type_csid.push("N0003343D");
option_list_value_csid.push("S0003353D");
option_list_enable_csid.push("N0003363D");
option_list_csid.push("N0020555E");
option_list_index.push("255");
option_list_name_csid.push("S0003313E");
option_list_server_csid.push("S0003323E");
option_list_option_csid.push("N0003333E");
option_list_value_type_csid.push("N0003343E");
option_list_value_csid.push("S0003353E");
option_list_enable_csid.push("N0003363E");
option_list_csid.push("N0020555F");
option_list_index.push("255");
option_list_name_csid.push("S0003313F");
option_list_server_csid.push("S0003323F");
option_list_option_csid.push("N0003333F");
option_list_value_type_csid.push("N0003343F");
option_list_value_csid.push("S0003353F");
option_list_enable_csid.push("N0003363F");
option_list_csid.push("N00205560");
option_list_index.push("255");
option_list_name_csid.push("S00033140");
option_list_server_csid.push("S00033240");
option_list_option_csid.push("N00033340");
option_list_value_type_csid.push("N00033440");
option_list_value_csid.push("S00033540");
option_list_enable_csid.push("N00033640");
option_list_csid.push("N00205561");
option_list_index.push("255");
option_list_name_csid.push("S00033141");
option_list_server_csid.push("S00033241");
option_list_option_csid.push("N00033341");
option_list_value_type_csid.push("N00033441");
option_list_value_csid.push("S00033541");
option_list_enable_csid.push("N00033641");
option_list_csid.push("N00205562");
option_list_index.push("255");
option_list_name_csid.push("S00033142");
option_list_server_csid.push("S00033242");
option_list_option_csid.push("N00033342");
option_list_value_type_csid.push("N00033442");
option_list_value_csid.push("S00033542");
option_list_enable_csid.push("N00033642");
option_list_csid.push("N00205563");
option_list_index.push("255");
option_list_name_csid.push("S00033143");
option_list_server_csid.push("S00033243");
option_list_option_csid.push("N00033343");
option_list_value_type_csid.push("N00033443");
option_list_value_csid.push("S00033543");
option_list_enable_csid.push("N00033643");
option_list_csid.push("N00205564");
option_list_index.push("255");
option_list_name_csid.push("S00033144");
option_list_server_csid.push("S00033244");
option_list_option_csid.push("N00033344");
option_list_value_type_csid.push("N00033444");
option_list_value_csid.push("S00033544");
option_list_enable_csid.push("N00033644");
option_list_csid.push("N00205565");
option_list_index.push("255");
option_list_name_csid.push("S00033145");
option_list_server_csid.push("S00033245");
option_list_option_csid.push("N00033345");
option_list_value_type_csid.push("N00033445");
option_list_value_csid.push("S00033545");
option_list_enable_csid.push("N00033645");
option_list_csid.push("N00205566");
option_list_index.push("255");
option_list_name_csid.push("S00033146");
option_list_server_csid.push("S00033246");
option_list_option_csid.push("N00033346");
option_list_value_type_csid.push("N00033446");
option_list_value_csid.push("S00033546");
option_list_enable_csid.push("N00033646");
option_list_csid.push("N00205567");
option_list_index.push("255");
option_list_name_csid.push("S00033147");
option_list_server_csid.push("S00033247");
option_list_option_csid.push("N00033347");
option_list_value_type_csid.push("N00033447");
option_list_value_csid.push("S00033547");
option_list_enable_csid.push("N00033647");
option_list_csid.push("N00205568");
option_list_index.push("255");
option_list_name_csid.push("S00033148");
option_list_server_csid.push("S00033248");
option_list_option_csid.push("N00033348");
option_list_value_type_csid.push("N00033448");
option_list_value_csid.push("S00033548");
option_list_enable_csid.push("N00033648");
option_list_csid.push("N00205569");
option_list_index.push("255");
option_list_name_csid.push("S00033149");
option_list_server_csid.push("S00033249");
option_list_option_csid.push("N00033349");
option_list_value_type_csid.push("N00033449");
option_list_value_csid.push("S00033549");
option_list_enable_csid.push("N00033649");
option_list_csid.push("N0020556A");
option_list_index.push("255");
option_list_name_csid.push("S0003314A");
option_list_server_csid.push("S0003324A");
option_list_option_csid.push("N0003334A");
option_list_value_type_csid.push("N0003344A");
option_list_value_csid.push("S0003354A");
option_list_enable_csid.push("N0003364A");
option_list_csid.push("N0020556B");
option_list_index.push("255");
option_list_name_csid.push("S0003314B");
option_list_server_csid.push("S0003324B");
option_list_option_csid.push("N0003334B");
option_list_value_type_csid.push("N0003344B");
option_list_value_csid.push("S0003354B");
option_list_enable_csid.push("N0003364B");
option_list_csid.push("N0020556C");
option_list_index.push("255");
option_list_name_csid.push("S0003314C");
option_list_server_csid.push("S0003324C");
option_list_option_csid.push("N0003334C");
option_list_value_type_csid.push("N0003344C");
option_list_value_csid.push("S0003354C");
option_list_enable_csid.push("N0003364C");
option_list_csid.push("N0020556D");
option_list_index.push("255");
option_list_name_csid.push("S0003314D");
option_list_server_csid.push("S0003324D");
option_list_option_csid.push("N0003334D");
option_list_value_type_csid.push("N0003344D");
option_list_value_csid.push("S0003354D");
option_list_enable_csid.push("N0003364D");
option_list_csid.push("N0020556E");
option_list_index.push("255");
option_list_name_csid.push("S0003314E");
option_list_server_csid.push("S0003324E");
option_list_option_csid.push("N0003334E");
option_list_value_type_csid.push("N0003344E");
option_list_value_csid.push("S0003354E");
option_list_enable_csid.push("N0003364E");
option_list_csid.push("N0020556F");
option_list_index.push("255");
option_list_name_csid.push("S0003314F");
option_list_server_csid.push("S0003324F");
option_list_option_csid.push("N0003334F");
option_list_value_type_csid.push("N0003344F");
option_list_value_csid.push("S0003354F");
option_list_enable_csid.push("N0003364F");
option_list_csid.push("N00205570");
option_list_index.push("255");
option_list_name_csid.push("S00033150");
option_list_server_csid.push("S00033250");
option_list_option_csid.push("N00033350");
option_list_value_type_csid.push("N00033450");
option_list_value_csid.push("S00033550");
option_list_enable_csid.push("N00033650");
option_list_csid.push("N00205571");
option_list_index.push("255");
option_list_name_csid.push("S00033151");
option_list_server_csid.push("S00033251");
option_list_option_csid.push("N00033351");
option_list_value_type_csid.push("N00033451");
option_list_value_csid.push("S00033551");
option_list_enable_csid.push("N00033651");
option_list_csid.push("N00205572");
option_list_index.push("255");
option_list_name_csid.push("S00033152");
option_list_server_csid.push("S00033252");
option_list_option_csid.push("N00033352");
option_list_value_type_csid.push("N00033452");
option_list_value_csid.push("S00033552");
option_list_enable_csid.push("N00033652");
option_list_csid.push("N00205573");
option_list_index.push("255");
option_list_name_csid.push("S00033153");
option_list_server_csid.push("S00033253");
option_list_option_csid.push("N00033353");
option_list_value_type_csid.push("N00033453");
option_list_value_csid.push("S00033553");
option_list_enable_csid.push("N00033653");
option_list_csid.push("N00205574");
option_list_index.push("255");
option_list_name_csid.push("S00033154");
option_list_server_csid.push("S00033254");
option_list_option_csid.push("N00033354");
option_list_value_type_csid.push("N00033454");
option_list_value_csid.push("S00033554");
option_list_enable_csid.push("N00033654");
option_list_csid.push("N00205575");
option_list_index.push("255");
option_list_name_csid.push("S00033155");
option_list_server_csid.push("S00033255");
option_list_option_csid.push("N00033355");
option_list_value_type_csid.push("N00033455");
option_list_value_csid.push("S00033555");
option_list_enable_csid.push("N00033655");
option_list_csid.push("N00205576");
option_list_index.push("255");
option_list_name_csid.push("S00033156");
option_list_server_csid.push("S00033256");
option_list_option_csid.push("N00033356");
option_list_value_type_csid.push("N00033456");
option_list_value_csid.push("S00033556");
option_list_enable_csid.push("N00033656");
option_list_csid.push("N00205577");
option_list_index.push("255");
option_list_name_csid.push("S00033157");
option_list_server_csid.push("S00033257");
option_list_option_csid.push("N00033357");
option_list_value_type_csid.push("N00033457");
option_list_value_csid.push("S00033557");
option_list_enable_csid.push("N00033657");
option_list_csid.push("N00205578");
option_list_index.push("255");
option_list_name_csid.push("S00033158");
option_list_server_csid.push("S00033258");
option_list_option_csid.push("N00033358");
option_list_value_type_csid.push("N00033458");
option_list_value_csid.push("S00033558");
option_list_enable_csid.push("N00033658");
option_list_csid.push("N00205579");
option_list_index.push("255");
option_list_name_csid.push("S00033159");
option_list_server_csid.push("S00033259");
option_list_option_csid.push("N00033359");
option_list_value_type_csid.push("N00033459");
option_list_value_csid.push("S00033559");
option_list_enable_csid.push("N00033659");
option_list_csid.push("N0020557A");
option_list_index.push("255");
option_list_name_csid.push("S0003315A");
option_list_server_csid.push("S0003325A");
option_list_option_csid.push("N0003335A");
option_list_value_type_csid.push("N0003345A");
option_list_value_csid.push("S0003355A");
option_list_enable_csid.push("N0003365A");
option_list_csid.push("N0020557B");
option_list_index.push("255");
option_list_name_csid.push("S0003315B");
option_list_server_csid.push("S0003325B");
option_list_option_csid.push("N0003335B");
option_list_value_type_csid.push("N0003345B");
option_list_value_csid.push("S0003355B");
option_list_enable_csid.push("N0003365B");
option_list_csid.push("N0020557C");
option_list_index.push("255");
option_list_name_csid.push("S0003315C");
option_list_server_csid.push("S0003325C");
option_list_option_csid.push("N0003335C");
option_list_value_type_csid.push("N0003345C");
option_list_value_csid.push("S0003355C");
option_list_enable_csid.push("N0003365C");
option_list_csid.push("N0020557D");
option_list_index.push("255");
option_list_name_csid.push("S0003315D");
option_list_server_csid.push("S0003325D");
option_list_option_csid.push("N0003335D");
option_list_value_type_csid.push("N0003345D");
option_list_value_csid.push("S0003355D");
option_list_enable_csid.push("N0003365D");
option_list_csid.push("N0020557E");
option_list_index.push("255");
option_list_name_csid.push("S0003315E");
option_list_server_csid.push("S0003325E");
option_list_option_csid.push("N0003335E");
option_list_value_type_csid.push("N0003345E");
option_list_value_csid.push("S0003355E");
option_list_enable_csid.push("N0003365E");
option_list_csid.push("N0020557F");
option_list_index.push("255");
option_list_name_csid.push("S0003315F");
option_list_server_csid.push("S0003325F");
option_list_option_csid.push("N0003335F");
option_list_value_type_csid.push("N0003345F");
option_list_value_csid.push("S0003355F");
option_list_enable_csid.push("N0003365F");
option_list_csid.push("N00205580");
option_list_index.push("255");
option_list_name_csid.push("S00033160");
option_list_server_csid.push("S00033260");
option_list_option_csid.push("N00033360");
option_list_value_type_csid.push("N00033460");
option_list_value_csid.push("S00033560");
option_list_enable_csid.push("N00033660");
option_list_csid.push("N00205581");
option_list_index.push("255");
option_list_name_csid.push("S00033161");
option_list_server_csid.push("S00033261");
option_list_option_csid.push("N00033361");
option_list_value_type_csid.push("N00033461");
option_list_value_csid.push("S00033561");
option_list_enable_csid.push("N00033661");
option_list_csid.push("N00205582");
option_list_index.push("255");
option_list_name_csid.push("S00033162");
option_list_server_csid.push("S00033262");
option_list_option_csid.push("N00033362");
option_list_value_type_csid.push("N00033462");
option_list_value_csid.push("S00033562");
option_list_enable_csid.push("N00033662");
option_list_csid.push("N00205583");
option_list_index.push("255");
option_list_name_csid.push("S00033163");
option_list_server_csid.push("S00033263");
option_list_option_csid.push("N00033363");
option_list_value_type_csid.push("N00033463");
option_list_value_csid.push("S00033563");
option_list_enable_csid.push("N00033663");
var record_empty_value = 255;
var option_list_record_index = -1; // index of first empty record
var option_list_empty_entry_index = -1; // index of first empty entry to store name, server, option, type, value ,and enable
if(option_list_index[0] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 0;
}
if("Option 1"=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 0;
}
if(option_list_index[1] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 1;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 1;
}
if(option_list_index[2] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 2;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 2;
}
if(option_list_index[3] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 3;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 3;
}
if(option_list_index[4] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 4;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 4;
}
if(option_list_index[5] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 5;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 5;
}
if(option_list_index[6] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 6;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 6;
}
if(option_list_index[7] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 7;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 7;
}
if(option_list_index[8] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 8;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 8;
}
if(option_list_index[9] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 9;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 9;
}
if(option_list_index[10] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 10;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 10;
}
if(option_list_index[11] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 11;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 11;
}
if(option_list_index[12] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 12;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 12;
}
if(option_list_index[13] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 13;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 13;
}
if(option_list_index[14] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 14;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 14;
}
if(option_list_index[15] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 15;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 15;
}
if(option_list_index[16] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 16;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 16;
}
if(option_list_index[17] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 17;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 17;
}
if(option_list_index[18] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 18;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 18;
}
if(option_list_index[19] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 19;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 19;
}
if(option_list_index[20] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 20;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 20;
}
if(option_list_index[21] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 21;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 21;
}
if(option_list_index[22] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 22;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 22;
}
if(option_list_index[23] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 23;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 23;
}
if(option_list_index[24] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 24;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 24;
}
if(option_list_index[25] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 25;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 25;
}
if(option_list_index[26] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 26;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 26;
}
if(option_list_index[27] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 27;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 27;
}
if(option_list_index[28] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 28;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 28;
}
if(option_list_index[29] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 29;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 29;
}
if(option_list_index[30] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 30;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 30;
}
if(option_list_index[31] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 31;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 31;
}
if(option_list_index[32] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 32;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 32;
}
if(option_list_index[33] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 33;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 33;
}
if(option_list_index[34] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 34;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 34;
}
if(option_list_index[35] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 35;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 35;
}
if(option_list_index[36] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 36;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 36;
}
if(option_list_index[37] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 37;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 37;
}
if(option_list_index[38] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 38;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 38;
}
if(option_list_index[39] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 39;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 39;
}
if(option_list_index[40] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 40;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 40;
}
if(option_list_index[41] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 41;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 41;
}
if(option_list_index[42] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 42;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 42;
}
if(option_list_index[43] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 43;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 43;
}
if(option_list_index[44] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 44;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 44;
}
if(option_list_index[45] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 45;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 45;
}
if(option_list_index[46] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 46;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 46;
}
if(option_list_index[47] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 47;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 47;
}
if(option_list_index[48] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 48;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 48;
}
if(option_list_index[49] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 49;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 49;
}
if(option_list_index[50] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 50;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 50;
}
if(option_list_index[51] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 51;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 51;
}
if(option_list_index[52] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 52;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 52;
}
if(option_list_index[53] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 53;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 53;
}
if(option_list_index[54] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 54;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 54;
}
if(option_list_index[55] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 55;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 55;
}
if(option_list_index[56] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 56;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 56;
}
if(option_list_index[57] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 57;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 57;
}
if(option_list_index[58] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 58;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 58;
}
if(option_list_index[59] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 59;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 59;
}
if(option_list_index[60] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 60;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 60;
}
if(option_list_index[61] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 61;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 61;
}
if(option_list_index[62] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 62;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 62;
}
if(option_list_index[63] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 63;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 63;
}
if(option_list_index[64] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 64;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 64;
}
if(option_list_index[65] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 65;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 65;
}
if(option_list_index[66] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 66;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 66;
}
if(option_list_index[67] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 67;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 67;
}
if(option_list_index[68] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 68;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 68;
}
if(option_list_index[69] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 69;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 69;
}
if(option_list_index[70] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 70;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 70;
}
if(option_list_index[71] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 71;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 71;
}
if(option_list_index[72] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 72;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 72;
}
if(option_list_index[73] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 73;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 73;
}
if(option_list_index[74] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 74;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 74;
}
if(option_list_index[75] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 75;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 75;
}
if(option_list_index[76] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 76;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 76;
}
if(option_list_index[77] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 77;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 77;
}
if(option_list_index[78] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 78;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 78;
}
if(option_list_index[79] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 79;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 79;
}
if(option_list_index[80] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 80;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 80;
}
if(option_list_index[81] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 81;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 81;
}
if(option_list_index[82] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 82;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 82;
}
if(option_list_index[83] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 83;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 83;
}
if(option_list_index[84] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 84;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 84;
}
if(option_list_index[85] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 85;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 85;
}
if(option_list_index[86] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 86;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 86;
}
if(option_list_index[87] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 87;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 87;
}
if(option_list_index[88] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 88;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 88;
}
if(option_list_index[89] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 89;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 89;
}
if(option_list_index[90] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 90;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 90;
}
if(option_list_index[91] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 91;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 91;
}
if(option_list_index[92] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 92;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 92;
}
if(option_list_index[93] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 93;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 93;
}
if(option_list_index[94] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 94;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 94;
}
if(option_list_index[95] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 95;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 95;
}
if(option_list_index[96] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 96;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 96;
}
if(option_list_index[97] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 97;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 97;
}
if(option_list_index[98] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 98;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 98;
}
if(option_list_index[99] == record_empty_value && option_list_record_index==-1) { // find the first empty record to store the index of new option
option_list_record_index = 99;
}
if(""=="" && option_list_empty_entry_index==-1) { // find the first empty entry to store one option
option_list_empty_entry_index = 99;
}
function set_select(select_id, target_name) {
var select_obj = document.getElementById(select_id);
for(var option_idx = 0; option_idx < select_obj.length; ++option_idx) {
if(select_obj[option_idx].text==target_name) {
select_obj.selectedIndex = option_idx;
}
}
}
function add_edit_option_list(type,edit_user_index) {
var add_edit_table = document.getElementById("add_edit_list_div");
var add_button = document.getElementById("add_save_button");
var edit_button = document.getElementById("edit_save_button");
var obj_name = document.getElementById("t_option_list_name"); // DHCP Server Option option name
var obj_server = document.getElementById("s_option_list_server_select"); // DHCP Server Option DHCP Sever Select
var obj_option = document.getElementById("s_option_list_option_select"); // DHCP Server Option Option Select
var obj_type = document.getElementById("s_option_list_type"); // DHCP Server Option Type
var obj_value = document.getElementById("t_option_list_value"); // DHCP Server Option Vaule
var obj_value_textarea = document.getElementById("t_option_list_value_textarea"); // DHCP Server Option Vaule for IP list
var obj_enable = document.getElementById("c_option_list_enable"); // DHCP Server Option Enable
var anchor = document.getElementById("_a_anchor");
var bon_sv = document.forms[0].but0;
var bon_ud = document.forms[0].but1;
if(type == 'add') { // add a new DHCP Server Option
if(option_list_record_index == -1) { // the number of option already reach maximum
alert(GetElmCont("pptps_0","Rule could not be added anymore."));
return false;
}
obj_name.value = "Option " + (option_list_empty_entry_index+1); // set default option name
}
else { // edit a existing option
obj_name.value = document.getElementById("show_option_list_name_"+edit_user_index).innerHTML;
set_select("s_option_list_server_select",document.getElementById("show_option_list_server_"+edit_user_index).innerHTML);
set_select("s_option_list_option_select",document.getElementById("show_option_list_option_"+edit_user_index).innerHTML);
change_type(document.getElementById("s_option_list_option_select").value); // change the content of Type according to Option Select
set_select("s_option_list_type",document.getElementById("show_option_list_type_"+edit_user_index).innerHTML);
if(document.getElementById("s_option_list_type").value==1) { // when type is IP Addresses List, use textarea
obj_value_textarea.value = document.getElementById("show_option_list_value_"+edit_user_index).innerHTML.replace(/, /g,",");
}
else {
obj_value.value = document.getElementById("show_option_list_value_"+edit_user_index).innerHTML;
}
obj_enable.checked = document.getElementById("show_option_list_enable_"+edit_user_index).checked;
store_entry_index = document.getElementById("option_list_index_"+edit_user_index).value; // record the index of current edited option
}
clear_and_check_value();
add_edit_table.style.display = ""; // show the table 'Modbus Remote Slave Configuration'
add_button.style.display = (type == "add")?"":"none";
edit_button.style.display = (type == "add")?"none":"";
anchor.click();
bon_sv.disabled = true;
bon_ud.disabled = true;
}
function save_option_list(type,obj){
var item_name = document.getElementById("t_option_list_name").value; // DHCP Server Option option name
var item_server = document.getElementById("s_option_list_server_select").value; // DHCP Server Option DHCP Sever Select
var item_option = document.getElementById("s_option_list_option_select").value; // DHCP Server Option Option Select
var item_type = document.getElementById("s_option_list_type").value; // DHCP Server Option Type
var item_value = (item_type==1) ? document.getElementById("t_option_list_value_textarea").value // DHCP Server Option Vaule for IP list
: document.getElementById("t_option_list_value").value; // DHCP Server Option Vaule
var item_enable = document.getElementById("c_option_list_enable").checked ? 1 : 0; // DHCP Server Option Enable
var send_csid_str = "dhcp_option.htm?";
var div_obj =  document.getElementById("d_hidden_element");
if(item_value == '') { // user remains empty in value
alert(GetElmCont("_0","Value can not be empty!"));
var value_obj = (item_type==1) ? document.getElementById("t_option_list_value_textarea")
: document.getElementById("t_option_list_value");
showmsg(value_obj,false);
return;
}
if(type == 'add'){
store_entry_index = option_list_empty_entry_index;
send_csid_str += "<input typt='text' name='"+option_list_csid[option_list_record_index]+"' value='"+store_entry_index+"'>";
}
send_csid_str += "<input typt='text' name='"+option_list_name_csid[store_entry_index]+"' value='"+item_name.replace(/\'/g, "&#39;")+"'>"; // replace single quotes to escaped ones
send_csid_str += "<input typt='text' name='"+option_list_server_csid[store_entry_index]+"' value='"+item_server+"'>";
send_csid_str += "<input typt='text' name='"+option_list_option_csid[store_entry_index]+"' value='"+item_option+"'>";
send_csid_str += "<input typt='text' name='"+option_list_value_type_csid[store_entry_index]+"' value='"+item_type+"'>";
send_csid_str += "<input typt='text' name='"+option_list_value_csid[store_entry_index]+"' value='"+item_value+"'>";
send_csid_str += "<input typt='text' name='"+option_list_enable_csid[store_entry_index]+"' value='"+item_enable+"'>";
div_obj.innerHTML = send_csid_str;
document.getElementById("hsbmit").click();
}
function del_option_list(){
var tmp_del = document.getElementsByName("del_tag");
var del_arr = new Array();
var index = 0;
var sent_str ="dhcp.htm?N80030002=1"; // send alter
for(var t = 0; t < tmp_del.length; ++t) {
if(tmp_del[t].checked) {
del_arr[index++] = tmp_del[t].value;
}
}
if(del_arr.length == 0) {
alert(GetElmCont("lb_0","Please choose one or more option."));
return false;
}
for(var del_idx = 0; del_idx < del_arr.length; ++del_idx) {
var delete_option_idx = del_arr[del_idx];
sent_str += "&"+option_list_name_csid[delete_option_idx]+"=";
}
var new_index = 0;
var isDelete = false; // flag for judging whether the option idx in the record deletes or not
var isStartChange = false; // set true if encountering first deleted option
for(var record_idx = 0; record_idx < option_list_index.length; ++record_idx) {
if(option_list_index[record_idx]==record_empty_value) break; // skip because all are record_empty_value from this idx to the end
for(var del_idx = 0; del_idx < del_arr.length; ++del_idx) {
if(option_list_index[record_idx] == del_arr[del_idx]) { // find the deleted option
isDelete = true;
if(!isStartChange) isStartChange = true; // check whether this option is the first deleted option or not
break;
}
}
if(!isDelete && isStartChange) { // move the record of later option to the front
sent_str += "&"+option_list_csid[new_index++]+"="+option_list_index[record_idx];
}
else if(isDelete) { // skip because this option is deleted
isDelete = false;
}
else { // no change
++new_index;
}
}
for(var remain_idx = new_index; remain_idx < record_idx; ++remain_idx) {
sent_str += "&"+option_list_csid[remain_idx]+"="+record_empty_value;
}
GURL(sent_str); // send value
}
var relay_list_max_number = 12;
var relay_list_csid = [];
var relay_list_index = [];
var relay_list_name_v = [];
var relay_list_name_csid = [];
var relay_list_lan_interface_val = [];
var relay_list_lan_interface_csid = [];
var relay_list_wan_interface_val = [];
var relay_list_wan_interface_csid = [];
var relay_list_server_ip_csid = [];
var relay_list_enable = [];
var relay_list_enable_csid = [];
var dhcp_svr_relay_csid = [];
relay_list_csid.push("N002012DF");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036140");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036120");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036130");
relay_list_server_ip_csid.push("I00036110");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036100");
dhcp_svr_relay_csid.push("N002010F3");
relay_list_csid.push("N002012E0");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036141");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036121");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036131");
relay_list_server_ip_csid.push("I00036111");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036101");
dhcp_svr_relay_csid.push("N002010F4");
relay_list_csid.push("N002012E1");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036142");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036122");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036132");
relay_list_server_ip_csid.push("I00036112");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036102");
dhcp_svr_relay_csid.push("N002010F5");
relay_list_csid.push("N002012E2");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036143");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036123");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036133");
relay_list_server_ip_csid.push("I00036113");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036103");
dhcp_svr_relay_csid.push("N002010F6");
relay_list_csid.push("N002012E3");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036144");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036124");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036134");
relay_list_server_ip_csid.push("I00036114");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036104");
dhcp_svr_relay_csid.push("N002010F7");
relay_list_csid.push("N002012E4");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036145");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036125");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036135");
relay_list_server_ip_csid.push("I00036115");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036105");
dhcp_svr_relay_csid.push("N002010F8");
relay_list_csid.push("N002012E5");
relay_list_index.push("6");
relay_list_name_v.push("Admin");
relay_list_name_csid.push("S00036146");
relay_list_lan_interface_val.push("0");
relay_list_lan_interface_csid.push("N00036126");
relay_list_wan_interface_val.push("1");
relay_list_wan_interface_csid.push("N00036136");
relay_list_server_ip_csid.push("I00036116");
relay_list_enable.push("1");
relay_list_enable_csid.push("N00036106");
dhcp_svr_relay_csid.push("N002010F9");
relay_list_csid.push("N002012E6");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036147");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036127");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036137");
relay_list_server_ip_csid.push("I00036117");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036107");
dhcp_svr_relay_csid.push("N002010FA");
relay_list_csid.push("N002012E7");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036148");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036128");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036138");
relay_list_server_ip_csid.push("I00036118");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036108");
dhcp_svr_relay_csid.push("N002010FB");
relay_list_csid.push("N002012E8");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S00036149");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N00036129");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N00036139");
relay_list_server_ip_csid.push("I00036119");
relay_list_enable.push("");
relay_list_enable_csid.push("N00036109");
dhcp_svr_relay_csid.push("N002010FC");
relay_list_csid.push("N002012E9");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S0003614A");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N0003612A");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N0003613A");
relay_list_server_ip_csid.push("I0003611A");
relay_list_enable.push("");
relay_list_enable_csid.push("N0003610A");
dhcp_svr_relay_csid.push("N002010FD");
relay_list_csid.push("N002012EA");
relay_list_index.push("255");
relay_list_name_v.push("");
relay_list_name_csid.push("S0003614B");
relay_list_lan_interface_val.push("");
relay_list_lan_interface_csid.push("N0003612B");
relay_list_wan_interface_val.push("");
relay_list_wan_interface_csid.push("N0003613B");
relay_list_server_ip_csid.push("I0003611B");
relay_list_enable.push("");
relay_list_enable_csid.push("N0003610B");
dhcp_svr_relay_csid.push("N002010FE");
var relay_list_record_index = -1; // index of first empty record
var relay_list_empty_entry_index = -1; // index of first empty entry to store name, server, option, type, value ,and enable
if(relay_list_index[6] == record_empty_value && relay_list_record_index==-1) { // find the first empty record to store the index of new option
relay_list_record_index = 6;
}
if("Admin"=="" && relay_list_empty_entry_index==-1) { // find the first empty entry to store one option
relay_list_empty_entry_index = 6;
}
if(relay_list_index[7] == record_empty_value && relay_list_record_index==-1) { // find the first empty record to store the index of new option
relay_list_record_index = 7;
}
if(""=="" && relay_list_empty_entry_index==-1) { // find the first empty entry to store one option
relay_list_empty_entry_index = 7;
}
if(relay_list_index[8] == record_empty_value && relay_list_record_index==-1) { // find the first empty record to store the index of new option
relay_list_record_index = 8;
}
if(""=="" && relay_list_empty_entry_index==-1) { // find the first empty entry to store one option
relay_list_empty_entry_index = 8;
}
if(relay_list_index[9] == record_empty_value && relay_list_record_index==-1) { // find the first empty record to store the index of new option
relay_list_record_index = 9;
}
if(""=="" && relay_list_empty_entry_index==-1) { // find the first empty entry to store one option
relay_list_empty_entry_index = 9;
}
if(relay_list_index[10] == record_empty_value && relay_list_record_index==-1) { // find the first empty record to store the index of new option
relay_list_record_index = 10;
}
if(""=="" && relay_list_empty_entry_index==-1) { // find the first empty entry to store one option
relay_list_empty_entry_index = 10;
}
if(relay_list_index[11] == record_empty_value && relay_list_record_index==-1) { // find the first empty record to store the index of new option
relay_list_record_index = 11;
}
if(""=="" && relay_list_empty_entry_index==-1) { // find the first empty entry to store one option
relay_list_empty_entry_index = 11;
}
function relay_add_edit_option_list(type,edit_user_index){
var obj_name = document.getElementById("t_relay_agent_name")
var obj_lan = document.getElementById("s_relay_lan_interface")
var obj_wan = document.getElementById("s_relay_wan_interface")
var obj_svr_ip = document.getElementById("t_relay_serverIp")
var obj_enable = document.getElementById("c_relay_enable")
if(type=='add'){
if(relay_list_record_index == -1){
alert(GetElmCont("pptps_0","Rule item reach Max. limitation , it only supports 6 items."));
return false;
}
document.getElementById("save_index").value = "255"
}else{
obj_name.value = document.getElementById("show_relay_agent_name"+edit_user_index).innerHTML;
obj_lan.selectedIndex = relay_list_lan_interface_val[edit_user_index];
for(j=0;j<obj_wan.length;j++)
{
if(obj_wan[j].value==relay_list_wan_interface_val[edit_user_index])
{
obj_wan.selectedIndex=j;
break;
}
}
obj_svr_ip.value = document.getElementById("show_relay_svr_ip"+edit_user_index).innerHTML;
obj_enable.checked = document.getElementById("show_relay_enable"+edit_user_index).checked;
relay_store_entry_index = document.getElementById("relay_list_index"+edit_user_index).value;
if(edit_user_index<6){
document.getElementById("save_index").value = document.getElementById("relay_list_index"+edit_user_index).value;
}else {
document.getElementById("save_index").value ="255";
}
}
document.getElementById("add_edit_relay_list_div").style.display = "";
document.forms[0].but0.disabled=true;
document.forms[0].but1.disabled=true;
document.getElementById("relay_add_save_button").style.display = (type=='add')?"":"none";
document.getElementById("relay_edit_save_button").style.display = (type=='edit')?"":"none"
}
function relay_save_option_list(type){
var obj_agent_name = document.getElementById("t_relay_agent_name");//DHCP Relay Agent Name
var obj_agent_name_v = document.getElementById("t_relay_agent_name").value;//DHCP Relay Agent Name
var obj_lan_inter_v = document.getElementById("s_relay_lan_interface").value;//DHCP Relay LAN interface
var obj_wan_inter_v = document.getElementById("s_relay_wan_interface").value;//DHCP Relay WAN interface
var obj_svr_ip = document.getElementById("t_relay_serverIp");//DHCP Relay Server IP
var obj_svr_ip_v = document.getElementById("t_relay_serverIp").value;//DHCP Relay Server IP
var obj_enable = (document.getElementById("c_relay_enable").checked)?1:0;//DHCP Relay Enable
var send_relay_csid_str = "dhcp.htm?";
var div_relay_obj = document.getElementById("d_relay_hidden_element");
var index = "";
if(obj_agent_name_v==""){
alert(GetElmCont("_0","Agent Name cannot be empty!"));
showmsg(obj_agent_name,false);
return false;
}
if(obj_svr_ip_v==""){
GetElmCont("_0","Server IP cannot be empty!");
showmsg(obj_svr_ip,false);
return false;
}
if(type=='add'){
relay_store_entry_index = relay_list_empty_entry_index;
send_relay_csid_str += "<input type='hidden' name='"+relay_list_csid[relay_list_record_index]+"' value='"+relay_store_entry_index+"'>";
}
var save_index = document.getElementById("save_index");
if(parseInt(save_index.value)!=255){// index 0~5 for VLAN
var save_index_v = parseInt(save_index.value);
index = save_index_v;
if(obj_enable==0){//disable will delete the rule
send_relay_csid_str += "<input type='hidden' name='"+dhcp_svr_relay_csid[save_index_v]+"' value='2'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_csid[save_index_v]+"' value='255'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_lan_interface_csid[save_index_v]+"' value=''>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_wan_interface_csid[save_index_v]+"' value=''>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_server_ip_csid[save_index_v]+"' value=''>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_enable_csid[save_index_v]+"' value='"+obj_enable+"'>";
}else{
send_relay_csid_str += "<input type='hidden' name='"+relay_list_name_csid[save_index_v]+"' value='"+obj_agent_name_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_lan_interface_csid[save_index_v]+"' value='"+obj_lan_inter_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_wan_interface_csid[save_index_v]+"' value='"+obj_wan_inter_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_server_ip_csid[save_index_v]+"' value='"+obj_svr_ip_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_enable_csid[save_index_v]+"' value='"+obj_enable+"'>";
chk_lan_wan(type,index);//check duplicated lan & wan to show alert
}
}else{
index = relay_store_entry_index;
send_relay_csid_str += "<input type='hidden' name='"+relay_list_name_csid[relay_store_entry_index]+"' value='"+obj_agent_name_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_lan_interface_csid[relay_store_entry_index]+"' value='"+obj_lan_inter_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_wan_interface_csid[relay_store_entry_index]+"' value='"+obj_wan_inter_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_server_ip_csid[relay_store_entry_index]+"' value='"+obj_svr_ip_v+"'>";
send_relay_csid_str += "<input type='hidden' name='"+relay_list_enable_csid[relay_store_entry_index]+"' value='"+obj_enable+"'>";
chk_lan_wan(type,index);//check duplicated lan & wan to show alert
}
div_relay_obj.innerHTML = send_relay_csid_str;
document.getElementById("hsbmit").click();
}
function del_relay_list(){
var tmp_del = document.getElementsByName("del_tag");
var del_arr = new Array();
var index = 0;
var sent_str = "dhcp.htm?N80030002=1";// send alter
for(var t=0;t<tmp_del.length;++t){
if(tmp_del[t].checked){
del_arr[index++] = tmp_del[t].value;
}
}
if(del_arr.length==0){
alert(GetElmCont("lb_0","Please choose one or more option."));
return false;
}
for(var del_idx=0;del_idx<del_arr.length;++del_idx){
var delete_relay_list = del_arr[del_idx];
if(delete_relay_list<6){
sent_str += "&"+dhcp_svr_relay_csid[delete_relay_list]+"=2";
sent_str += "&"+relay_list_csid[delete_relay_list]+"=255";
sent_str += "&"+relay_list_lan_interface_csid[delete_relay_list]+"=";
sent_str += "&"+relay_list_wan_interface_csid[delete_relay_list]+"=";
sent_str += "&"+relay_list_server_ip_csid[delete_relay_list]+"=";
sent_str += "&"+relay_list_enable_csid[delete_relay_list]+"=0";
}else{
sent_str += "&"+relay_list_name_csid[delete_relay_list]+"=";
sent_str += "&"+relay_list_lan_interface_csid[delete_relay_list]+"=";
sent_str += "&"+relay_list_wan_interface_csid[delete_relay_list]+"=";
sent_str += "&"+relay_list_server_ip_csid[delete_relay_list]+"=";
sent_str += "&"+relay_list_enable_csid[delete_relay_list]+"=0";
}
}
var new_index2 = 6;
var isDelete = false; // flag for judging whether the relay idx in the record deletes or not
var isStartChange = false; // set true if encountering first deleted relay
for(var record_idx = 6; record_idx < relay_list_index.length; ++record_idx) {
if(relay_list_index[record_idx]==record_empty_value) break; // skip because all are record_empty_value from this idx to the end
for(var del_idx = 0; del_idx < del_arr.length; ++del_idx) {
if(relay_list_index[record_idx] == del_arr[del_idx]) { // find the deleted relay
isDelete = true;
if(!isStartChange) isStartChange = true; // check whether this relay is the first deleted relay or not
break;
}
}
if(!isDelete && isStartChange) { // move the record of later relay to the front
sent_str += "&"+relay_list_csid[new_index2]+"="+relay_list_index[record_idx];
new_index2++;
}
else if(isDelete) { // skip because this option is deleted
isDelete = false;
}
else { // no change
++new_index2;
}
}
for(var remain_idx = new_index2; remain_idx < record_idx; ++remain_idx) {
sent_str += "&"+relay_list_csid[remain_idx]+"="+record_empty_value;
}
GURL(sent_str); // send value
}
function chk_lan_wan(type,index){
var itm = [];
var msg = "";
var s_sel = document.getElementById("s_relay_lan_interface");
var lan_two = (type=='add')?true:false;//if only having 1 rule,Add have to check,Edit don't(no need to check itself)
var lan_index = 0;
var wan_two = (type=='add')?true:false;//if only having 1 rule,Add have to check,Edit don't(no need to check itself)
var wan_index = 0;
for(var i=0;i<relay_list_index.length;i++){
if(relay_list_index[i]!="255"){
lan_index++;
}
}
if(lan_index>1){
lan_two = true;
}
for(var j=0;j<relay_list_lan_interface_val.length;j++){
if(lan_two){
if(s_sel.value == relay_list_lan_interface_val[j]&&index!=j){
itm.push("LAN interface");
break;
}
}
}
var s_sel = document.getElementById("s_relay_wan_interface");
for(var i=0;i<relay_list_index.length;i++){
if(relay_list_index[i]!="255"){
wan_index++;
}
}
if(wan_index>1){
wan_two = true;
}
for(var j=0;j<relay_list_wan_interface_val.length;j++){
if(wan_two){
if(s_sel.value == relay_list_wan_interface_val[j]&&index!=j){
itm.push("WAN interface");
break;
}
}
}
if(itm.length!=0){
if(itm.length==1){
alert(itm[0]+" is duplicated , "+GetElmCont("_0","Please Check Settings."));
} else {
alert(itm[0]+" and "+itm[1]+" are duplicated , "+GetElmCont("_0","Please Check Settings."));
}
}
}